Debian Bug report logs - #493559
error "rsync: on remote machine: -: unknown option"

version graph

Package: rsync; Maintainer for rsync is Paul Slootman <paul@debian.org>; Source for rsync is src:rsync.

Reported by: Oswald Buddenhagen <ossi@kde.org>

Date: Sun, 3 Aug 2008 08:42:01 UTC

Severity: normal

Tags: unreproducible

Found in version rsync/3.0.3-2

Fixed in version rsync/3.0.4-3

Done: Paul Slootman <paul@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Paul Slootman <paul@debian.org>:
Bug#493559; Package rsync. Full text and rfc822 format available.

Acknowledgement sent to Oswald Buddenhagen <ossi@kde.org>:
New Bug report received and forwarded. Copy sent to Paul Slootman <paul@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Oswald Buddenhagen <ossi@kde.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: error "rsync: on remote machine: -: unknown option"
Date: Sun, 3 Aug 2008 10:40:47 +0200
Package: rsync
Version: 3.0.3-2
Severity: normal

if i run
  rsync rsync.kernel.org::pub/linux/kernel/v2.6/ChangeLog-2.6.26.1 ./linux-ChangeLog-2.6.26.1
i get this:
[MOTD snipped]
rsync: on remote machine: -: unknown option
rsync error: requested action not supported (code 4) at clientserver.c(685) [sender=2.6.9]
rsync: read error: Connection reset by peer (104)
rsync error: error in rsync protocol data stream (code 12) at io.c(794) [receiver=3.0.3]

now, if i add just one -v switch to the command line, it magically works.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26 (PREEMPT)
Locale: LANG=C, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages rsync depends on:
ii  base-files                    4.0.4      Debian base system miscellaneous f
ii  libacl1                       2.2.47-2   Access control list shared library
ii  libc6                         2.7-13     GNU C Library: Shared libraries
ii  libpopt0                      1.14-4     lib for parsing cmdline parameters
ii  lsb-base                      3.2-16     Linux Standard Base 3.2 init scrip

-- 
Hi! I'm a .signature virus! Copy me into your ~/.signature, please!
--
Confusion, chaos, panic - my work here is done.




Information forwarded to debian-bugs-dist@lists.debian.org, Paul Slootman <paul@debian.org>:
Bug#493559; Package rsync. Full text and rfc822 format available.

Acknowledgement sent to 493559@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Paul Slootman <paul@debian.org>. Full text and rfc822 format available.

Message #10 received at 493559@bugs.debian.org (full text, mbox):

From: Paul Slootman <paul@debian.org>
To: Oswald Buddenhagen <ossi@kde.org>, 493559@bugs.debian.org
Subject: Re: Bug#493559: error "rsync: on remote machine: -: unknown option"
Date: Wed, 10 Sep 2008 15:28:25 +0200
On Sun 03 Aug 2008, Oswald Buddenhagen wrote:
> 
> if i run
>   rsync rsync.kernel.org::pub/linux/kernel/v2.6/ChangeLog-2.6.26.1 ./linux-ChangeLog-2.6.26.1
> i get this:
> [MOTD snipped]
> rsync: on remote machine: -: unknown option
> rsync error: requested action not supported (code 4) at clientserver.c(685) [sender=2.6.9]
> rsync: read error: Connection reset by peer (104)
> rsync error: error in rsync protocol data stream (code 12) at io.c(794) [receiver=3.0.3]
> 
> now, if i add just one -v switch to the command line, it magically works.

I first thought that this might be the -e option issue:

    - If the user specifies --protocol=29, rsync will avoid sending an -e
      option to the server (which is only useful for protocols 30 and above
      anyway).  This gives the user an easy way to talk to a restricted server
      that has overly restrictive option-checking.

but you're using 3.0.3-2 and that has a patch for that, so it must be
something else.  However, the rsync.kernel.org I see from here is a
3.0.0 or higher version, as it announces it's talking protocol version
30, and it does your example transfer just fine...

If you can find another way of reproducing this, then we can
investigate, but I wonder if it might not be dependent on the way that
rsync was configured...


Paul Slootman




Information forwarded to debian-bugs-dist@lists.debian.org, Paul Slootman <paul@debian.org>:
Bug#493559; Package rsync. Full text and rfc822 format available.

Acknowledgement sent to Oswald Buddenhagen <ossi@kde.org>:
Extra info received and forwarded to list. Copy sent to Paul Slootman <paul@debian.org>. Full text and rfc822 format available.

Message #15 received at 493559@bugs.debian.org (full text, mbox):

From: Oswald Buddenhagen <ossi@kde.org>
To: 493559@bugs.debian.org
Subject: Re: Bug#493559: error "rsync: on remote machine: -: unknown option"
Date: Sat, 13 Sep 2008 07:49:34 +0200
works for me now. you would have had to be faster to collect some
data. ;)




Tags added: unreproducible Request was from Paul Slootman <paul@debian.org> to control@bugs.debian.org. (Sat, 13 Sep 2008 08:09:03 GMT) Full text and rfc822 format available.

Reply sent to 493559@bugs.debian.org:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Oswald Buddenhagen <ossi@kde.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 493559-done@bugs.debian.org (full text, mbox):

From: Paul Slootman <paul@debian.org>
To: Oswald Buddenhagen <ossi@kde.org>, 493559-done@bugs.debian.org
Subject: Re: Bug#493559: error "rsync: on remote machine: -: unknown option"
Date: Sat, 13 Sep 2008 10:11:56 +0200
On Sat 13 Sep 2008, Oswald Buddenhagen wrote:

> works for me now. you would have had to be faster to collect some
> data. ;)

Yes, sorry about that :-)

I'll close it now, as it can't be reproduced.
Feel free to open a new bug if you have trouble again, I'll try to
respond sooner then...


Paul Slootman




Information forwarded to debian-bugs-dist@lists.debian.org, Paul Slootman <paul@debian.org>:
Bug#493559; Package rsync. (Tue, 23 Sep 2008 10:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Steinert <debian@hachi.kuiki.net>:
Extra info received and forwarded to list. Copy sent to Paul Slootman <paul@debian.org>. (Tue, 23 Sep 2008 10:19:04 GMT) Full text and rfc822 format available.

Message #27 received at 493559@bugs.debian.org (full text, mbox):

From: Jonathan Steinert <debian@hachi.kuiki.net>
To: 493559@bugs.debian.org
Subject: rsync: on remote machine: -: unknown option
Date: Tue, 23 Sep 2008 03:13:37 -0700
Subject: rsync: on remote machine: -: unknown option
Followup-For: Bug #493559
Package: rsync
Version: 3.0.3-2

I have this happening against blackholes.us:

rosa:/var/lib/rbldns$ rsync rsync://rsync.blackholes.us/zones/countries/countries.rbl .
rsync: on remote machine: -: unknown option
rsync error: requested action not supported (code 4) at clientserver.c(517)
rsync: connection unexpectedly closed (4 bytes received so far) [receiver]
rsync error: error in rsync protocol data stream (code 12) at io.c(635) [receiver=3.0.3]
rosa:/var/lib/rbldns$ rsync -v rsync://rsync.blackholes.us/zones/countries/countries.rbl .
countries.rbl

sent 4996 bytes  received 3370 bytes  5577.33 bytes/sec
total size is 651098  speedup is 77.83

Downing to protocol 29 doesn't help either.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'stable'), (101, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-6-xen-686 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages rsync depends on:
ii  base-files                    4.0.5      Debian base system miscellaneous f
ii  libacl1                       2.2.47-2   Access control list shared library
ii  libc6                         2.7-13     GNU C Library: Shared libraries
ii  libpopt0                      1.14-4     lib for parsing cmdline parameters
ii  lsb-base                      3.2-20     Linux Standard Base 3.2 init scrip

rsync recommends no packages.

Versions of packages rsync suggests:
ii  openssh-client                1:5.1p1-2  secure shell client, an rlogin/rsh
ii  openssh-server                1:5.1p1-2  secure shell server, an rshd repla

-- no debconf information

------------------------------------------------------------------------
"She smiled again, shrugged her shoulders, and became a perfect mirror."
------------------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#493559; Package rsync. (Tue, 23 Sep 2008 11:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Slootman <paul@debian.org>:
Extra info received and forwarded to list. (Tue, 23 Sep 2008 11:03:02 GMT) Full text and rfc822 format available.

Message #32 received at 493559@bugs.debian.org (full text, mbox):

From: Paul Slootman <paul@debian.org>
To: Jonathan Steinert <debian@hachi.kuiki.net>, 493559@bugs.debian.org
Subject: Re: Bug#493559: rsync: on remote machine: -: unknown option
Date: Tue, 23 Sep 2008 12:58:43 +0200
On Tue 23 Sep 2008, Jonathan Steinert wrote:
> 
> I have this happening against blackholes.us:
> 
> rosa:/var/lib/rbldns$ rsync rsync://rsync.blackholes.us/zones/countries/countries.rbl .
> rsync: on remote machine: -: unknown option
> rsync error: requested action not supported (code 4) at clientserver.c(517)
> rsync: connection unexpectedly closed (4 bytes received so far) [receiver]
> rsync error: error in rsync protocol data stream (code 12) at io.c(635) [receiver=3.0.3]
> rosa:/var/lib/rbldns$ rsync -v rsync://rsync.blackholes.us/zones/countries/countries.rbl .
> countries.rbl
> 
> sent 4996 bytes  received 3370 bytes  5577.33 bytes/sec
> total size is 651098  speedup is 77.83
> 
> Downing to protocol 29 doesn't help either.

It seems like the remote daemon expects to always have an option
passed... Adding -v makes it work, as does e.g. -t.

I think that this may be a result of some strange configuration at the
remote end... However, it is a regression from 2.6.9, so I've asked
upstream about this.



Paul Slootman




Reply sent to Paul Slootman <paul@debian.org>:
You have taken responsibility. (Wed, 24 Sep 2008 19:00:13 GMT) Full text and rfc822 format available.

Notification sent to Oswald Buddenhagen <ossi@kde.org>:
Bug acknowledged by developer. (Wed, 24 Sep 2008 19:00:13 GMT) Full text and rfc822 format available.

Message #37 received at 493559-close@bugs.debian.org (full text, mbox):

From: Paul Slootman <paul@debian.org>
To: 493559-close@bugs.debian.org
Subject: Bug#493559: fixed in rsync 3.0.4-3
Date: Wed, 24 Sep 2008 18:47:03 +0000
Source: rsync
Source-Version: 3.0.4-3

We believe that the bug you reported is fixed in the latest version of
rsync, which is due to be installed in the Debian FTP archive:

rsync_3.0.4-3.diff.gz
  to pool/main/r/rsync/rsync_3.0.4-3.diff.gz
rsync_3.0.4-3.dsc
  to pool/main/r/rsync/rsync_3.0.4-3.dsc
rsync_3.0.4-3_amd64.deb
  to pool/main/r/rsync/rsync_3.0.4-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493559@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Slootman <paul@debian.org> (supplier of updated rsync package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 24 Sep 2008 11:35:15 +0200
Source: rsync
Binary: rsync
Architecture: source amd64
Version: 3.0.4-3
Distribution: unstable
Urgency: low
Maintainer: Paul Slootman <paul@debian.org>
Changed-By: Paul Slootman <paul@debian.org>
Description: 
 rsync      - fast remote file copy program (like rcp)
Closes: 493559 498083
Changes: 
 rsync (3.0.4-3) unstable; urgency=low
 .
   * When transferring files from an older rsync daemon without any options,
     the daemon complained about "unknown option: -". Fixed that with a
     patch from Matt McCutchen.
     closes:#493559
   * Sometimes rsync crashed with a segfault when transferring files with -X
     (preserve extended attributes). Fixed that with a patch from upstream
     (Wayne Davison).
     closes:#498083
Files: 
 1bd3bf29b2b6c76a81e54cc679fa246c 570 net optional rsync_3.0.4-3.dsc
 0331169fb9882e1f764260a2cac78011 23476 net optional rsync_3.0.4-3.diff.gz
 17d82b495879fa4d1ff71fbe8021d57f 347428 net optional rsync_3.0.4-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFI2ojqutvvqbTW3hMRApOEAJ4zengCl1kdXwiq5N6crvuQ+tKF4wCeNIvS
9IxoM+16G7n9Dt0P/IevE4E=
=LM7g
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:20:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:30:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.